Class | YAML::DomainType
In: | yaml/types.rb
Parent: | Object

Default domain type

### Methods

new tag_subclasses? to_yaml

### Attributes

domain | [RW] |
type_id | [RW] |
value | [RW] |

### Public Class methods

new( domain, type, val )

[Source]

    # File yaml/types.rb, line 33
            def initialize( domain, type, val )
                @domain = domain; @type_id = type; @value = val
                @value.taguri = "tag:#{ @domain }:#{ @type_id }"
            end

tag_subclasses?()

[Source]

    # File yaml/types.rb, line 30
            def self.tag_subclasses?; false; end

### Public Instance methods

to_yaml( opts = {} )

[Source]

    # File yaml/types.rb, line 37
            def to_yaml( opts = {} )
                @value.to_yaml( opts )
            end

[Validate]